Public Attributes | List of all members
_dual_timer_io_ctrl_cfg Struct Reference
Peripheral Driver » HAL Driver » DUAL TIMER » Structures » DUAL TIMER Configuration

DUAL TIMER io crtl config Structure definition. More...

`#include <gr533x_hal_dual_tim.h>`

## Public Attributes
hal_dual_timer_channel_t | channel
uint32_t | count1_value
uint32_t | count2_value
uint32_t | io_init_state
uint32_t | start_act_mode
uint32_t | period_act_mode
uint32_t | stop_act_mode
uint32_t | count1_act_mode
uint32_t | count2_act_mode
uint32_t | start_act_it
uint32_t | period_act_it
uint32_t | stop_act_it
uint32_t | count1_act_it
uint32_t | count2_act_it

## Detailed Description

DUAL TIMER io crtl config Structure definition.

Definition at line 127 of file gr533x_hal_dual_tim.h.

## Member Data Documentation

## ◆ channel

hal_dual_timer_channel_t _dual_timer_io_ctrl_cfg::channel

Specifies the channel. This parameter can be a value of HAL DUAL TIM channel

Definition at line 129 of file gr533x_hal_dual_tim.h.

## ◆ count1_act_it

uint32_t _dual_timer_io_ctrl_cfg::count1_act_it

Specifies the count1 action interrupt config.

Definition at line 150 of file gr533x_hal_dual_tim.h.

## ◆ count1_act_mode

uint32_t _dual_timer_io_ctrl_cfg::count1_act_mode

Specifies the count1 action mode. This parameter can be a value of DUAL TIMER IO Action Mode

Definition at line 143 of file gr533x_hal_dual_tim.h.

## ◆ count1_value

uint32_t _dual_timer_io_ctrl_cfg::count1_value

Specifies the count1 value. The value is set to 0 to not use this count function

Definition at line 131 of file gr533x_hal_dual_tim.h.

## ◆ count2_act_it

uint32_t _dual_timer_io_ctrl_cfg::count2_act_it

Specifies the count2 action interrupt config.

Definition at line 151 of file gr533x_hal_dual_tim.h.

## ◆ count2_act_mode

uint32_t _dual_timer_io_ctrl_cfg::count2_act_mode

Specifies the count2 action mode. This parameter can be a value of DUAL TIMER IO Action Mode

Definition at line 145 of file gr533x_hal_dual_tim.h.

## ◆ count2_value

uint32_t _dual_timer_io_ctrl_cfg::count2_value

Specifies the count2 value. The value is set to 0 to not use this count function

Definition at line 133 of file gr533x_hal_dual_tim.h.

## ◆ io_init_state

uint32_t _dual_timer_io_ctrl_cfg::io_init_state

Specifies the io initial state. This parameter can be a value of DUAL TIMER IO Initial State

Definition at line 135 of file gr533x_hal_dual_tim.h.

## ◆ period_act_it

uint32_t _dual_timer_io_ctrl_cfg::period_act_it

Specifies the period action interrupt config.

Definition at line 148 of file gr533x_hal_dual_tim.h.

## ◆ period_act_mode

uint32_t _dual_timer_io_ctrl_cfg::period_act_mode

Specifies the period action mode. This parameter can be a value of DUAL TIMER IO Action Mode

Definition at line 139 of file gr533x_hal_dual_tim.h.

## ◆ start_act_it

uint32_t _dual_timer_io_ctrl_cfg::start_act_it

Specifies the start action interrupt config.

Definition at line 147 of file gr533x_hal_dual_tim.h.

## ◆ start_act_mode

uint32_t _dual_timer_io_ctrl_cfg::start_act_mode

Specifies the start action mode. This parameter can be a value of DUAL TIMER IO Action Mode

Definition at line 137 of file gr533x_hal_dual_tim.h.

## ◆ stop_act_it

uint32_t _dual_timer_io_ctrl_cfg::stop_act_it

Specifies the stop action interrupt config.

Definition at line 149 of file gr533x_hal_dual_tim.h.

## ◆ stop_act_mode

uint32_t _dual_timer_io_ctrl_cfg::stop_act_mode

Specifies the stop action mode. This parameter can be a value of DUAL TIMER IO Action Mode

Definition at line 141 of file gr533x_hal_dual_tim.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_dual_tim.h